Subject: Re: [Emu] WGLC completed for for draft-ietf-emu-eap-tls13-05

From: John Mattsson <[email-masked]>
Date: Sat, 3 Aug 2019 13:25:58 +0000

Then draft-dekok-emu-tls-eap-types will have to describe how TLS-based EAP types do or not do the commit with application data.

As far as I understand, 0x00 will work for these other EAP types as well, so not need to change any thing in draft-ietf-emu-eap-tls13.

Cheers,
John

-----Original Message-----
From: Alan DeKok <[email-masked]>
Date: Monday, 29 July 2019 at 00:51
To: Jim Schaad <[email-masked]>
Cc: Jouni Malinen <[email-masked]>, John Mattsson <[email-masked]>, EMU WG <[email-masked]>
Subject: Re: [Emu] WGLC completed for for draft-ietf-emu-eap-tls13-05

    On Jul 28, 2019, at 5:09 PM, Jim Schaad <[email-masked]> wrote:
    > 
    > I cannot speak to PEAP, but it would seem that TEAP might need this feature
    > as, at least on resumption, it is totally optional for both sides to use any
    > TLVs an thus the same issue might be present.  TTLS seems to always require
    > that the client send a AVP, but I am not sure that it is required for the
    > server based on a really fast read.
    
      For initial authentication, TTLS requires TLVs inside of the TLS tunnel.  For resumption, the inner tunnel isn't used.
    
      So it looks like the other TLS-based EAP methods will have the same issue, when resumption is used.
    
      Alan DeKok.